Вопрос Установлен ли пакет из репозитория в 14.04 после обновления до 16.04? Могут ли обновления работать тоже?


Что происходит, когда пакет устанавливается с использованием репозитория в Ubuntu 14.04, а дистрибутив обновляется до 16.04?

Сохраняет ли пакет работоспособность или может быть разорван (при условии, что поддерживающие пакет еще не поддерживают 16.04)

Что происходит во время процесса обновления / обновления, если в пакете нет репозиториев Ubuntu 16.04?

Что, если репозиторий пакетов существует для Ubuntu 16.04, он может быть обновлен / обновлен как обычно или есть дополнительные шаги, такие как ручное обновление списка источников?


2
2017-09-17 15:07


происхождения




ответы:


Я постараюсь ответить на все это:

Что происходит, когда пакет устанавливается с помощью репозитория в Ubuntu   14.04, а дистрибуция обновлена ​​до 16.04?

Сохраняет ли пакет функциональность или может ли он сломаться (при условии, что   поддержка пакетов еще не поддерживается 16.04)

Пакет останется работоспособным, если новая версия 16.04 не обновила некоторые зависимости (например, библиотеки), которые теперь заставляют пакет ломаться или иметь странное поведение.

Что происходит во время процесса обновления / обновления, если пакет не   есть репозитории Ubuntu 16.04?

Если вы попытаетесь обновить этот пакет, но новая версия не существует ни в одном из ваших репозиториев, пакет не будет обновлен.

Что, если репозиторий пакетов существует для Ubuntu 16.04, это может быть   обновляется / обновляется как обычно или есть дополнительные шаги, связанные с такими   как ручное обновление списка источников?

Обычно это может быть нормально обновлено, если только новая версия не привнесет некоторые новые конкретные действия (например, новые зависимости, которые не находятся в официальных репозиториях и т. Д.).


0
2017-09-17 15:13



Что происходит с приложением, которое полагается на init и os, обновляется до systemd? Эти параметры переносятся или они должны обновляться вручную? - GNettlefold
Я бы сказал, что их нужно обновлять вручную, если разработчик не предоставит обновление systemd в более новой версии - LnxSlck